#!/usr/bin/env python3
import numpy as np
import yaml

np.set_printoptions(precision=3, threshold=np.inf, suppress=False, linewidth=np.inf)


def load_values(file):
    raw_dict = yaml.load("{" + file.readline() + "}")
    for name in raw_dict:
        raw_dict[name] = np.array(raw_dict[name], dtype=np.float64)
    return raw_dict


if __name__ == "__main__":

    # read number of tests:
    n = int(input())
    for _ in range(n):

        # parse variables

        variables = yaml.load("{" + input() + "}")
        # parse params
        params = input()
        if params == "None".strip():
            params = {}
        else:
            params = yaml.load("{" + params + "}")

        # parse function
        fline = input()

        m = int(input())

        for _ in range(m):
            # ignore actual variable values
            input()
            for name, shape in variables.items():
                g = np.random.random(shape)
                if len(g.shape) == 0:
                    g = g.reshape((1,))
                gs = np.array2string(g, separator=",").replace("\n", "")
                print("{}: {}".format(name, gs), end=",")
            print()
